
struct hash_entry
{
	struct hash_entry *next;
	char *key;
	void *ptr;
};

struct hash 
{
	int hash_size;
	struct hash_entry ** entries;
};

typedef struct hash Hash;

Hash * hash_create(int size);
void hash_add(Hash *h, char *k, void *p);
void * hash_get(Hash *h, char *k);
void hash_remove(Hash *h, char *k);
